;; -*-emacs-lisp-*-
;;
;; Emacs startup file, e.g.  /etc/emacs/site-start.d/50verilog-mode.el
;; for the Debian verilog-mode package
;;
;; Originally contributed by Nils Naumann <naumann@unileoben.ac.at>
;; Modified by Dirk Eddelbuettel <edd@debian.org>
;; Adapted for dh-make by Jim Van Zandt <jrv@debian.org>

;; The verilog-mode package follows the Debian/GNU Linux 'emacsen' policy and
;; byte-compiles its elisp files for each 'emacs flavor' (emacs19,
;; xemacs19, emacs20, xemacs20...).  The compiled code is then
;; installed in a subdirectory of the respective site-lisp directory.
;; We have to add this to the load-path:
(let ((package-dir (concat "/usr/share/"
                           (symbol-name flavor)
                           "/site-lisp/verilog-mode")))
;; If package-dir does not exist, the verilog-mode package must have
;; removed but not purged, and we should skip the setup.
  (when (file-directory-p package-dir)
    ;; Use debian-pkg-add-load-path-item per 9 of debian emacs subpolicy
    (debian-pkg-add-load-path-item package-dir )
    (autoload 'verilog-mode "verilog-mode"
      "Major mode for editing verilog-mode files." t)
    (add-to-list 'auto-mode-alist '("\\.v\\'" . verilog-mode))
    ))

